Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer
Interface ContainerContext

    public interface ContainerContext

Contextual information about the application container provided to an application instance. The `ContainerContext` will be stored as a context property of an application's `ApplicationInstance`, under the key constant `CONTEXT_PROPERTY_NAME`. This interface should not be implemented outside of the core framework.

Field Summary
`static java.lang.String` | `CONTEXT_PROPERTY_NAME` Property name by which a `ContainerContext` may be retrieved from an `ApplicationInstance`'s context properties.

Method Summary
`ClientProperties` | `getClientProperties()` Returns the `ClientProperties` describing the user's client web browser environment.
`Cookie[]` | `getCookies()` Return any `Cookie`s sent on the current HTTP request.
`java.util.Map` | `getInitialRequestParameterMap()` Returns an immutable `Map` containing the HTTP request parameters sent on the initial request to the application.
`java.lang.String` | `getServiceUri(Service service)` Returns the URI of the specified `Service`.
`java.lang.String` | `getServletUri()` Returns the URI of the Echo2 servlet.
`HttpSession` | `getSession()` Returns the `HttpSession` in which the application is being stored.
`java.security.Principal` | `getUserPrincipal()` Returns the authenticated user `Principal`.
`boolean` | `isUserInRole(java.lang.String role)` Determines if the authenticated user is in the specified logical "role", by querying the inbound servlet request.
`void` | `setClientConfiguration(ClientConfiguration clientConfiguration)` Sets the `ClientConfiguration` describing application-specific client configuration settings.
`void` | `setServerDelayMessage(ServerDelayMessage serverDelayMessage)` Sets the `ServerDelayMessage` displayed during client/server-interactions.
`void` | `setTaskQueueCallbackInterval(TaskQueueHandle taskQueue, int ms)` Sets the interval between asynchronous callbacks from the client to check for queued tasks for a given `TaskQueue`.

Field Detail

### CONTEXT_PROPERTY_NAME

    static final java.lang.String CONTEXT_PROPERTY_NAME

  Property name by which a `ContainerContext` may be retrieved from an `ApplicationInstance`'s context properties.

  See Also:
    `ApplicationInstance.getContextProperty(java.lang.String)`

Method Detail

### getClientProperties

    ClientProperties getClientProperties()

  Returns the `ClientProperties` describing the user's client web browser environment.

  Returns:
    the `ClientProperties`

### getCookies

    Cookie[] getCookies()

  Return any `Cookie`s sent on the current HTTP request.

  Returns:
    the `Cookie`s

### getInitialRequestParameterMap

    java.util.Map getInitialRequestParameterMap()

  Returns an immutable `Map` containing the HTTP request parameters sent on the initial request to the application.

  Returns:
    the initial request parameter map

### getServiceUri

    java.lang.String getServiceUri(Service service)

  Returns the URI of the specified `Service`.

  Parameters:
    `service` - the `Service`
  Returns:
    the URI

### getServletUri

    java.lang.String getServletUri()

  Returns the URI of the Echo2 servlet.

  Returns:
    the servlet URI

### getSession

    HttpSession getSession()

  Returns the `HttpSession` in which the application is being stored.

  Returns:
    the `HttpSession`

### getUserPrincipal

    java.security.Principal getUserPrincipal()

  Returns the authenticated user `Principal`.

  Returns:
    the authenticated user `Principal`

### isUserInRole

    boolean isUserInRole(java.lang.String role)

  Determines if the authenticated user is in the specified logical "role", by querying the inbound servlet request.

### setClientConfiguration

    void setClientConfiguration(ClientConfiguration clientConfiguration)

  Sets the `ClientConfiguration` describing application-specific client configuration settings.

  Parameters:
    `clientConfiguration` - the new `ClientConfiguration`

### setServerDelayMessage

    void setServerDelayMessage(ServerDelayMessage serverDelayMessage)

  Sets the `ServerDelayMessage` displayed during client/server-interactions.

  Parameters:
    `serverDelayMessage` - the new `ServerDelayMessage`

### setTaskQueueCallbackInterval

    void setTaskQueueCallbackInterval(TaskQueueHandle taskQueue,
                                      int ms)

  Sets the interval between asynchronous callbacks from the client to check for queued tasks for a given `TaskQueue`. If multiple `TaskQueue`s are active, the smallest specified interval should be used. The default interval is 500ms.

  Parameters:
    `taskQueue` - the `TaskQueue`
    `ms` - the number of milliseconds between asynchronous client callbacks

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD